Contributing to the ForgeRock Authenticator plugin
=============================================

What you will need
------------------

* A Linux, Mac OS X, or Windows machine (note: to run and compile iOS specific parts you'll need access to a Mac OS X machine);
* git for source version control
* The Flutter SDK (installation instructions can be found [here](https://flutter.io/get-started/install/));
* A personal GitHub account (if you don't have one, you can sign-up for free [here](https://github.com/))

Setting up your development environment
---------------------------------------

* TBD

Running the example project
---------------------------

* Change into the example directory: `cd example`
* Run the App: `flutter run`

Contribute
----------

* Make sure you are up to date with the latest code on the master:
    * `git fetch upstream`
    * `git checkout upstream/develop -b <name_of_your_branch>`
* Apply your changes
* Verify your changes and fix potential warnings/ errors:
    * Check formatting: `flutter format .`
    * Run static analyses: `flutter analyze`
    * Run unit-tests: `flutter test`
* Commit your changes: `git commit -am "<your informative commit message>"`
* Push changes to your fork: `git push origin <name_of_your_branch>`

Send us your pull request:

* Go to `https://github.com/spetrov/petrov_ca_auth` and click the "Compare & pull request" button.

Please make sure you solved all warnings and errors reported by the static code analyses and that you fill in the full pull request template. Failing to do so will result in us asking you to fix it.